EACTags (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.asn1.eac

## Class EACTags

- java.lang.Object
- - org.bouncycastle.asn1.eac.EACTags

-     public class EACTags
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ADDRESS`
    `static int` | `ANSWER_TO_RESET`
    `static int` | `APPLICATION_EFFECTIVE_DATE`
    `static int` | `APPLICATION_EXPIRATION_DATE`
    `static int` | `APPLICATION_IDENTIFIER`
    `static int` | `APPLICATION_IMAGE`
    `static int` | `APPLICATION_IMAGE_TEMPLATE`
    `static int` | `APPLICATION_LABEL`
    `static int` | `APPLICATION_RELATED_DATA`
    `static int` | `APPLICATION_TEMPLATE`
    `static int` | `AUTHENTIFICATION_DATA`
    `static int` | `BIOMETRIC_DATA_TEMPLATE`
    `static int` | `BIOMETRIC_INFORMATION_GROUP_TEMPLATE`
    `static int` | `BIOMETRIC_INFORMATION_TEMPLATE`
    `static int` | `CARD_CAPABILITIES`
    `static int` | `CARD_DATA`
    `static int` | `CARD_EFFECTIVE_DATE`
    `static int` | `CARD_EXPIRATION_DATA`
    `static int` | `CARD_ISSUER_DATA`
    `static int` | `CARD_SEQUENCE_NUMBER`
    `static int` | `CARD_SERVICE_DATA`
    `static int` | `CARDHOLDER_BIOMETRIC_DATA`
    `static int` | `CARDHOLDER_CERTIFICATE`
    `static int` | `CARDHOLDER_HANDWRITTEN_SIGNATURE`
    `static int` | `CARDHOLDER_IMAGE_TEMPLATE`
    `static int` | `CARDHOLDER_NAME`
    `static int` | `CARDHOLDER_NATIONALITY`
    `static int` | `CARDHOLDER_PORTRAIT_IMAGE`
    `static int` | `CARDHOLDER_PRIVATE_KEY`
    `static int` | `CARDHOLDER_PRIVATE_KEY_TEMPLATE`
    `static int` | `CARDHOLDER_PUBLIC_KEY`
    `static int` | `CARDHOLDER_PUBLIC_KEY_TEMPLATE`
    `static int` | `CARDHOLDER_RELATIVE_DATA`
    `static int` | `CARDHOLER_REQUIREMENTS_EXCLUDED_FEATURES`
    `static int` | `CARDHOLER_REQUIREMENTS_INCLUDED_FEATURES`
    `static int` | `CERTIFICATE_BODY`
    `static int` | `CERTIFICATE_CONTENT`
    `static int` | `CERTIFICATE_CONTENT_TEMPLATE`
    `static int` | `CERTIFICATE_HOLDER_AUTHORIZATION`
    `static int` | `CERTIFICATE_HOLDER_AUTHORIZATION_TEMPLATE`
    `static int` | `CERTIFICATION_AUTHORITY_PUBLIC_KEY`
    `static int` | `COEXISTANT_TAG_ALLOCATION_AUTHORITY`
    `static int` | `COMMAND_TO_PERFORM`
    `static int` | `COMPATIBLE_TAG_ALLOCATION_AUTHORITY`
    `static int` | `COUNTRY_CODE`
    `static int` | `COUNTRY_CODE_NATIONAL_DATA`
    `static int` | `CURRENCY_CODE`
    `static int` | `CURRENCY_EXPONENT`
    `static int` | `CV_CERTIFICATE`
    `static int` | `DATE_OF_BIRTH`
    `static int` | `DEPRECATED`
    `static int` | `DIGITAL_SIGNATURE`
    `static int` | `DIGITAL_SIGNATURE_BLOCK`
    `static int` | `DISCRETIONARY_DATA`
    `static int` | `DISCRETIONARY_DATA_OBJECTS`
    `static int` | `DISPLAY_CONTROL`
    `static int` | `DISPLAY_IMAGE`
    `static int` | `DYNAMIC_AUTHENTIFICATION_TEMPLATE`
    `static int` | `DYNAMIC_EXTERNAL_AUTHENTIFICATION`
    `static int` | `DYNAMIC_INTERNAL_AUTHENTIFICATION`
    `static int` | `DYNAMIC_MUTUAL_AUTHENTIFICATION`
    `static int` | `ELEMENT_LIST`
    `static int` | `EXTENDED_HEADER_LIST`
    `static int` | `FCI_TEMPLATE`
    `static int` | `FCP_TEMPLATE`
    `static int` | `FILE_REFERENCE`
    `static int` | `FMD_TEMPLATE`
    `static int` | `HEADER_LIST`
    `static int` | `HISTORICAL_BYTES`
    `static int` | `INITIAL_ACCESS_DATA`
    `static int` | `INTEGRATED_CIRCUIT_MANUFACTURER_ID`
    `static int` | `INTERCHANGE_CONTROL`
    `static int` | `INTERCHANGE_PROFILE`
    `static int` | `ISSUER_IDENTIFICATION_NUMBER`
    `static int` | `LANGUAGE_PREFERENCES`
    `static int` | `LOGIN_DATA`
    `static int` | `LOGIN_TEMPLATE`
    `static int` | `MESSAGE_REFERENCE`
    `static int` | `NAME`
    `static int` | `NON_INTERINDUSTRY_DATA_OBJECT_NESTING_TEMPLATE`
    `static int` | `OBJECT_IDENTIFIER`
    `static int` | `OFFSET_DATA_OBJECT`
    `static int` | `PIN_USAGE_POLICY`
    `static int` | `PRE_ISSUING_DATA`
    `static int` | `PRIMARY_ACCOUNT_NUMBER`
    `static int` | `QUALIFIED_NAME`
    `static int` | `SECURE_MESSAGING_TEMPLATE`
    `static int` | `SECURITY_ENVIRONMENT_TEMPLATE`
    `static int` | `SECURITY_SUPPORT_TEMPLATE`
    `static int` | `SERVICE_CODE`
    `static int` | `SEX`
    `static int` | `SIGNATURE`
    `static int` | `SPECIAL_USER_REQUIREMENTS`
    `static int` | `STATIC_INTERNAL_AUTHENTIFICATION_FIRST_DATA`
    `static int` | `STATIC_INTERNAL_AUTHENTIFICATION_ONE_STEP`
    `static int` | `STATIC_INTERNAL_AUTHENTIFICATION_SECOND_DATA`
    `static int` | `STATUS_INFORMATION`
    `static int` | `TAG_LIST`
    `static int` | `TIMER`
    `static int` | `TRACK1_APPLICATION`
    `static int` | `TRACK1_CARD`
    `static int` | `TRACK2_APPLICATION`
    `static int` | `TRACK2_CARD`
    `static int` | `TRACK3_APPLICATION`
    `static int` | `TRACK3_CARD`
    `static int` | `TRANSACTION_COUNTER`
    `static int` | `TRANSACTION_DATE`
    `static int` | `UNIFORM_RESOURCE_LOCATOR`
    `static int` | `WRAPPER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EACTags()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `decodeTag(int tag)`
    `static int` | `encodeTag(ASN1ApplicationSpecific spec)`
    `static int` | `getTag(int encodedTag)`
    `static int` | `getTagNo(int tag)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OBJECT_IDENTIFIER

          public static final int OBJECT_IDENTIFIER

      See Also:
        Constant Field Values

    - #### COUNTRY_CODE_NATIONAL_DATA

          public static final int COUNTRY_CODE_NATIONAL_DATA

      See Also:
        Constant Field Values

    - #### ISSUER_IDENTIFICATION_NUMBER

          public static final int ISSUER_IDENTIFICATION_NUMBER

      See Also:
        Constant Field Values

    - #### CARD_SERVICE_DATA

          public static final int CARD_SERVICE_DATA

      See Also:
        Constant Field Values

    - #### INITIAL_ACCESS_DATA

          public static final int INITIAL_ACCESS_DATA

      See Also:
        Constant Field Values

    - #### CARD_ISSUER_DATA

          public static final int CARD_ISSUER_DATA

      See Also:
        Constant Field Values

    - #### PRE_ISSUING_DATA

          public static final int PRE_ISSUING_DATA

      See Also:
        Constant Field Values

    - #### CARD_CAPABILITIES

          public static final int CARD_CAPABILITIES

      See Also:
        Constant Field Values

    - #### STATUS_INFORMATION

          public static final int STATUS_INFORMATION

      See Also:
        Constant Field Values

    - #### EXTENDED_HEADER_LIST

          public static final int EXTENDED_HEADER_LIST

      See Also:
        Constant Field Values

    - #### APPLICATION_IDENTIFIER

          public static final int APPLICATION_IDENTIFIER

      See Also:
        Constant Field Values

    - #### APPLICATION_LABEL

          public static final int APPLICATION_LABEL

      See Also:
        Constant Field Values

    - #### FILE_REFERENCE

          public static final int FILE_REFERENCE

      See Also:
        Constant Field Values

    - #### COMMAND_TO_PERFORM

          public static final int COMMAND_TO_PERFORM

      See Also:
        Constant Field Values

    - #### DISCRETIONARY_DATA

          public static final int DISCRETIONARY_DATA

      See Also:
        Constant Field Values

    - #### OFFSET_DATA_OBJECT

          public static final int OFFSET_DATA_OBJECT

      See Also:
        Constant Field Values

    - #### TRACK1_APPLICATION

          public static final int TRACK1_APPLICATION

      See Also:
        Constant Field Values

    - #### TRACK2_APPLICATION

          public static final int TRACK2_APPLICATION

      See Also:
        Constant Field Values

    - #### TRACK3_APPLICATION

          public static final int TRACK3_APPLICATION

      See Also:
        Constant Field Values

    - #### CARD_EXPIRATION_DATA

          public static final int CARD_EXPIRATION_DATA

      See Also:
        Constant Field Values

    - #### PRIMARY_ACCOUNT_NUMBER

          public static final int PRIMARY_ACCOUNT_NUMBER

      See Also:
        Constant Field Values

    - #### NAME

          public static final int NAME

      See Also:
        Constant Field Values

    - #### TAG_LIST

          public static final int TAG_LIST

      See Also:
        Constant Field Values

    - #### HEADER_LIST

          public static final int HEADER_LIST

      See Also:
        Constant Field Values

    - #### LOGIN_DATA

          public static final int LOGIN_DATA

      See Also:
        Constant Field Values

    - #### CARDHOLDER_NAME

          public static final int CARDHOLDER_NAME

      See Also:
        Constant Field Values

    - #### TRACK1_CARD

          public static final int TRACK1_CARD

      See Also:
        Constant Field Values

    - #### TRACK2_CARD

          public static final int TRACK2_CARD

      See Also:
        Constant Field Values

    - #### TRACK3_CARD

          public static final int TRACK3_CARD

      See Also:
        Constant Field Values

    - #### APPLICATION_EXPIRATION_DATE

          public static final int APPLICATION_EXPIRATION_DATE

      See Also:
        Constant Field Values

    - #### APPLICATION_EFFECTIVE_DATE

          public static final int APPLICATION_EFFECTIVE_DATE

      See Also:
        Constant Field Values

    - #### CARD_EFFECTIVE_DATE

          public static final int CARD_EFFECTIVE_DATE

      See Also:
        Constant Field Values

    - #### INTERCHANGE_CONTROL

          public static final int INTERCHANGE_CONTROL

      See Also:
        Constant Field Values

    - #### COUNTRY_CODE

          public static final int COUNTRY_CODE

      See Also:
        Constant Field Values

    - #### INTERCHANGE_PROFILE

          public static final int INTERCHANGE_PROFILE

      See Also:
        Constant Field Values

    - #### CURRENCY_CODE

          public static final int CURRENCY_CODE

      See Also:
        Constant Field Values

    - #### DATE_OF_BIRTH

          public static final int DATE_OF_BIRTH

      See Also:
        Constant Field Values

    - #### CARDHOLDER_NATIONALITY

          public static final int CARDHOLDER_NATIONALITY

      See Also:
        Constant Field Values

    - #### LANGUAGE_PREFERENCES

          public static final int LANGUAGE_PREFERENCES

      See Also:
        Constant Field Values

    - #### CARDHOLDER_BIOMETRIC_DATA

          public static final int CARDHOLDER_BIOMETRIC_DATA

      See Also:
        Constant Field Values

    - #### PIN_USAGE_POLICY

          public static final int PIN_USAGE_POLICY

      See Also:
        Constant Field Values

    - #### SERVICE_CODE

          public static final int SERVICE_CODE

      See Also:
        Constant Field Values

    - #### TRANSACTION_COUNTER

          public static final int TRANSACTION_COUNTER

      See Also:
        Constant Field Values

    - #### TRANSACTION_DATE

          public static final int TRANSACTION_DATE

      See Also:
        Constant Field Values

    - #### CARD_SEQUENCE_NUMBER

          public static final int CARD_SEQUENCE_NUMBER

      See Also:
        Constant Field Values

    - #### SEX

          public static final int SEX

      See Also:
        Constant Field Values

    - #### CURRENCY_EXPONENT

          public static final int CURRENCY_EXPONENT

      See Also:
        Constant Field Values

    - #### STATIC_INTERNAL_AUTHENTIFICATION_ONE_STEP

          public static final int STATIC_INTERNAL_AUTHENTIFICATION_ONE_STEP

      See Also:
        Constant Field Values

    - #### SIGNATURE

          public static final int SIGNATURE

      See Also:
        Constant Field Values

    - #### STATIC_INTERNAL_AUTHENTIFICATION_FIRST_DATA

          public static final int STATIC_INTERNAL_AUTHENTIFICATION_FIRST_DATA

      See Also:
        Constant Field Values

    - #### STATIC_INTERNAL_AUTHENTIFICATION_SECOND_DATA

          public static final int STATIC_INTERNAL_AUTHENTIFICATION_SECOND_DATA

      See Also:
        Constant Field Values

    - #### DYNAMIC_INTERNAL_AUTHENTIFICATION

          public static final int DYNAMIC_INTERNAL_AUTHENTIFICATION

      See Also:
        Constant Field Values

    - #### DYNAMIC_EXTERNAL_AUTHENTIFICATION

          public static final int DYNAMIC_EXTERNAL_AUTHENTIFICATION

      See Also:
        Constant Field Values

    - #### DYNAMIC_MUTUAL_AUTHENTIFICATION

          public static final int DYNAMIC_MUTUAL_AUTHENTIFICATION

      See Also:
        Constant Field Values

    - #### CARDHOLDER_PORTRAIT_IMAGE

          public static final int CARDHOLDER_PORTRAIT_IMAGE

      See Also:
        Constant Field Values

    - #### ELEMENT_LIST

          public static final int ELEMENT_LIST

      See Also:
        Constant Field Values

    - #### ADDRESS

          public static final int ADDRESS

      See Also:
        Constant Field Values

    - #### CARDHOLDER_HANDWRITTEN_SIGNATURE

          public static final int CARDHOLDER_HANDWRITTEN_SIGNATURE

      See Also:
        Constant Field Values

    - #### APPLICATION_IMAGE

          public static final int APPLICATION_IMAGE

      See Also:
        Constant Field Values

    - #### DISPLAY_IMAGE

          public static final int DISPLAY_IMAGE

      See Also:
        Constant Field Values

    - #### TIMER

          public static final int TIMER

      See Also:
        Constant Field Values

    - #### MESSAGE_REFERENCE

          public static final int MESSAGE_REFERENCE

      See Also:
        Constant Field Values

    - #### CARDHOLDER_PRIVATE_KEY

          public static final int CARDHOLDER_PRIVATE_KEY

      See Also:
        Constant Field Values

    - #### CARDHOLDER_PUBLIC_KEY

          public static final int CARDHOLDER_PUBLIC_KEY

      See Also:
        Constant Field Values

    - #### CERTIFICATION_AUTHORITY_PUBLIC_KEY

          public static final int CERTIFICATION_AUTHORITY_PUBLIC_KEY

      See Also:
        Constant Field Values

    - #### DEPRECATED

          public static final int DEPRECATED

      See Also:
        Constant Field Values

    - #### CERTIFICATE_HOLDER_AUTHORIZATION

          public static final int CERTIFICATE_HOLDER_AUTHORIZATION

      See Also:
        Constant Field Values

    - #### INTEGRATED_CIRCUIT_MANUFACTURER_ID

          public static final int INTEGRATED_CIRCUIT_MANUFACTURER_ID

      See Also:
        Constant Field Values

    - #### CERTIFICATE_CONTENT

          public static final int CERTIFICATE_CONTENT

      See Also:
        Constant Field Values

    - #### UNIFORM_RESOURCE_LOCATOR

          public static final int UNIFORM_RESOURCE_LOCATOR

      See Also:
        Constant Field Values

    - #### ANSWER_TO_RESET

          public static final int ANSWER_TO_RESET

      See Also:
        Constant Field Values

    - #### HISTORICAL_BYTES

          public static final int HISTORICAL_BYTES

      See Also:
        Constant Field Values

    - #### DIGITAL_SIGNATURE

          public static final int DIGITAL_SIGNATURE

      See Also:
        Constant Field Values

    - #### APPLICATION_TEMPLATE

          public static final int APPLICATION_TEMPLATE

      See Also:
        Constant Field Values

    - #### FCP_TEMPLATE

          public static final int FCP_TEMPLATE

      See Also:
        Constant Field Values

    - #### WRAPPER

          public static final int WRAPPER

      See Also:
        Constant Field Values

    - #### FMD_TEMPLATE

          public static final int FMD_TEMPLATE

      See Also:
        Constant Field Values

    - #### CARDHOLDER_RELATIVE_DATA

          public static final int CARDHOLDER_RELATIVE_DATA

      See Also:
        Constant Field Values

    - #### CARD_DATA

          public static final int CARD_DATA

      See Also:
        Constant Field Values

    - #### AUTHENTIFICATION_DATA

          public static final int AUTHENTIFICATION_DATA

      See Also:
        Constant Field Values

    - #### SPECIAL_USER_REQUIREMENTS

          public static final int SPECIAL_USER_REQUIREMENTS

      See Also:
        Constant Field Values

    - #### LOGIN_TEMPLATE

          public static final int LOGIN_TEMPLATE

      See Also:
        Constant Field Values

    - #### QUALIFIED_NAME

          public static final int QUALIFIED_NAME

      See Also:
        Constant Field Values

    - #### CARDHOLDER_IMAGE_TEMPLATE

          public static final int CARDHOLDER_IMAGE_TEMPLATE

      See Also:
        Constant Field Values

    - #### APPLICATION_IMAGE_TEMPLATE

          public static final int APPLICATION_IMAGE_TEMPLATE

      See Also:
        Constant Field Values

    - #### APPLICATION_RELATED_DATA

          public static final int APPLICATION_RELATED_DATA

      See Also:
        Constant Field Values

    - #### FCI_TEMPLATE

          public static final int FCI_TEMPLATE

      See Also:
        Constant Field Values

    - #### DISCRETIONARY_DATA_OBJECTS

          public static final int DISCRETIONARY_DATA_OBJECTS

      See Also:
        Constant Field Values

    - #### COMPATIBLE_TAG_ALLOCATION_AUTHORITY

          public static final int COMPATIBLE_TAG_ALLOCATION_AUTHORITY

      See Also:
        Constant Field Values

    - #### COEXISTANT_TAG_ALLOCATION_AUTHORITY

          public static final int COEXISTANT_TAG_ALLOCATION_AUTHORITY

      See Also:
        Constant Field Values

    - #### SECURITY_SUPPORT_TEMPLATE

          public static final int SECURITY_SUPPORT_TEMPLATE

      See Also:
        Constant Field Values

    - #### SECURITY_ENVIRONMENT_TEMPLATE

          public static final int SECURITY_ENVIRONMENT_TEMPLATE

      See Also:
        Constant Field Values

    - #### DYNAMIC_AUTHENTIFICATION_TEMPLATE

          public static final int DYNAMIC_AUTHENTIFICATION_TEMPLATE

      See Also:
        Constant Field Values

    - #### SECURE_MESSAGING_TEMPLATE

          public static final int SECURE_MESSAGING_TEMPLATE

      See Also:
        Constant Field Values

    - #### NON_INTERINDUSTRY_DATA_OBJECT_NESTING_TEMPLATE

          public static final int NON_INTERINDUSTRY_DATA_OBJECT_NESTING_TEMPLATE

      See Also:
        Constant Field Values

    - #### DISPLAY_CONTROL

          public static final int DISPLAY_CONTROL

      See Also:
        Constant Field Values

    - #### CARDHOLDER_CERTIFICATE

          public static final int CARDHOLDER_CERTIFICATE

      See Also:
        Constant Field Values

    - #### CV_CERTIFICATE

          public static final int CV_CERTIFICATE

      See Also:
        Constant Field Values

    - #### CARDHOLER_REQUIREMENTS_INCLUDED_FEATURES

          public static final int CARDHOLER_REQUIREMENTS_INCLUDED_FEATURES

      See Also:
        Constant Field Values

    - #### CARDHOLER_REQUIREMENTS_EXCLUDED_FEATURES

          public static final int CARDHOLER_REQUIREMENTS_EXCLUDED_FEATURES

      See Also:
        Constant Field Values

    - #### BIOMETRIC_DATA_TEMPLATE

          public static final int BIOMETRIC_DATA_TEMPLATE

      See Also:
        Constant Field Values

    - #### DIGITAL_SIGNATURE_BLOCK

          public static final int DIGITAL_SIGNATURE_BLOCK

      See Also:
        Constant Field Values

    - #### CARDHOLDER_PRIVATE_KEY_TEMPLATE

          public static final int CARDHOLDER_PRIVATE_KEY_TEMPLATE

      See Also:
        Constant Field Values

    - #### CARDHOLDER_PUBLIC_KEY_TEMPLATE

          public static final int CARDHOLDER_PUBLIC_KEY_TEMPLATE

      See Also:
        Constant Field Values

    - #### CERTIFICATE_HOLDER_AUTHORIZATION_TEMPLATE

          public static final int CERTIFICATE_HOLDER_AUTHORIZATION_TEMPLATE

      See Also:
        Constant Field Values

    - #### CERTIFICATE_CONTENT_TEMPLATE

          public static final int CERTIFICATE_CONTENT_TEMPLATE

      See Also:
        Constant Field Values

    - #### CERTIFICATE_BODY

          public static final int CERTIFICATE_BODY

      See Also:
        Constant Field Values

    - #### BIOMETRIC_INFORMATION_TEMPLATE

          public static final int BIOMETRIC_INFORMATION_TEMPLATE

      See Also:
        Constant Field Values

    - #### BIOMETRIC_INFORMATION_GROUP_TEMPLATE

          public static final int BIOMETRIC_INFORMATION_GROUP_TEMPLATE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EACTags

          public EACTags()

  - ### Method Detail

    - #### getTag

          public static int getTag(int encodedTag)

    - #### getTagNo

          public static int getTagNo(int tag)

    - #### encodeTag

          public static int encodeTag(ASN1ApplicationSpecific spec)

    - #### decodeTag

          public static int decodeTag(int tag)